# Class NameParserImpl

java.lang.Object
org.apache.naming.NameParserImpl

All Implemented Interfaces:
  `NameParser`

public class NameParserImpl extends Object implements NameParser
Parses names.

## Constructor Summary

Constructors
Constructor
Description
`NameParserImpl()`

## Method Summary

Modifier and Type
Method
Description
`Name`
`parse(String name)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameParserImpl

public NameParserImpl()

## Method Details

### parse

public Name parse(String name) throws NamingException

Specified by:
  `parse` in interface `NameParser`
Throws:
  `NamingException`